Subject: bug#21634: text-scale-adjust suggestion

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 07 Jul 2022 10:01:15 +0200

Juri Linkov <[email-masked]> writes:

> But doing this is problematic since when repeat-exit-key is defined,
> it will also replace
>
>  Repeat with n, M-n or exit with RET
>
> with incorrect
>
>  Repeat with n or M-n or exit with RET

Well, you'd have to rephrase that to, for instance, "and exit with RET".

>> I think the guts of `describe-repeat-mapsʼ does something like that.
>
> I forgot that describe-repeat-maps uses where-is-internal.
> But I don't see how repeat-echo-message-string and set-transient-map
> could use where-is-internal without iterating a huge list of all commands
> from obarray.  There is no function to get all commands from the given
> keymap only?

No, I think we should add a function like that.  Shouldn't be too difficult.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no